import request from '@/utils/request'

export function addTestCase(data) {
    return request({
        url: '/aima/testcase', 
        method: 'post',
        data: data
    })
}

export function getTestCaseList(params) {
    return request({
        url: '/aima/testcase/list', 
        method: 'get',
        params: params
    })
}

export function updateTestCase(data) {
    return request({
        url: '/aima/testcase', 
        method: 'put',
        data: data
    })
}

export function deleteTestCase(ids) {
    return request({
        url: `/aima/testcase/${ids}`, 
        method: 'delete'
    })
}